%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name django-authority
%global obs_ver 0.3-6

Name:           python-%{pypi_name}
Version:        0.11
Release:        4%{?dist}
Summary:        A Django app for generic per-object permissions and custom permission checks

License:        BSD
URL:            https://github.com/jazzband/django-authority
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz


BuildArch:      noarch

%description
This is a Django app for generic per-object permissions, custom permission
checks and permission requests. It also includes view decorators and template
tags for ease of use.

%package -n python2-%{pypi_name}
Summary:        Django app for permissions - Python 2 version

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Requires:       python2-django

Provides:       %{pypi_name} = %{version}-%{release}
Obsoletes:      %{pypi_name} < %{obs_ver}

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
This is a Django app for generic per-object permissions, custom permission
checks and permission requests. It also includes view decorators and template 
tags for ease of use. This package provides Python 2 build of %{pypi_name}.

%if 0%{?with_python3}

%package -n python3-%{pypi_name}
Summary:        Django app for permissions - Python 3 version

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-django

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a Django app for generic per-object permissions, custom permission
checks and permission requests. It also includes view decorators and template
tags for ease of use. This package provides Python 3 build of %{pypi_name}.

%endif

%prep
%autosetup -n %{pypi_name}-%{version}

# remove executable-flag from manage.py in example 
chmod ugo-x example/manage.py

# remove hidden files in example
find example -name '._*.py' -exec rm '{}' \;


%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif
# example gets accidently installed to python_sitelib, too
rm -rf %{buildroot}/%{python2_sitelib}/example
%if 0%{?with_python3}
rm -rf %{buildroot}/%{python3_sitelib}/example
%endif

%files -n python2-%{pypi_name}
%license LICENSE
%doc AUTHORS README.rst docs/ example/
%{python2_sitelib}/authority
%{python2_sitelib}/django_authority-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc AUTHORS README.rst docs/ example/
%{python3_sitelib}/authority
%{python3_sitelib}/django_authority-%{version}-py?.?.egg-info
%endif

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.11-2
- Rebuild for Python 3.6

* Wed Aug 3 2016 Jan Beran <jberan@redhat.com> - 0.11-1
- update to version 0.11
- url and source update
- porting the specfile to Python 3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 04 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.4-2
- really obsolete version 0.3-5

* Fri Jun 01 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.4-1
- renamed to python-django-authority
- spec cleanup
- update to version 0.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Aug 14 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.3-2
- Clean up MAC OS hidden files
- Added only HTML built doc files from docs dir
- Added some missed doc files like AUTHORS
- Clean up .builinfo files

* Thu Aug 13 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.3-1
- Initial RPM

